Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642538 - <net-im/vacuum-1.3.0 depends on deprecated Qt4
Summary: <net-im/vacuum-1.3.0 depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL: https://github.com/Vacuum-IM/vacuum-i...
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-12-28 16:37 UTC by Andreas Sturmlechner
Modified: 2018-02-16 10:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-12-28 16:37:04 UTC
Qt4 is dead and going away. vacuum upstream have not made a release in a long time, but our 9999 ebuild is already qt5 based for a while, and this package needs to move on soon.

It is also the last rdep of: dev-qt/qtlockedfile[qt4]

@reagentoo, do you think 9999 is stable enough to create a snapshot from it? If you take on the task, since we haven't heard from maksbotan in all that time, I would add you as proxy-maintainer of the package if you are still interested.
Comment 1 reagentoo 2018-01-03 12:36:24 UTC
Hello! Vacuum-IM developers plan to make release on Qt5 in the near future.
Comment 2 reagentoo 2018-01-03 16:32:19 UTC
Well. Now we have Qt5 snapshot vacuum-1.3.0.20180103-Alpha: https://github.com/Vacuum-IM/vacuum-im/releases.
Comment 3 reagentoo 2018-01-03 16:41:36 UTC
@asturm Could you tell me, what ebuild format for this version? I'll make a commit to the tree.
Comment 4 Andreas Sturmlechner gentoo-dev 2018-01-03 18:27:12 UTC
File format could be

1) vacuum-1.3.0_alpha_pre20180103
2) vacuum-1.3.0_pre20180103

1) if you think there will be an actual _alpha release by upstream, 2) if you think they just appended -Alpha for educational purpose and will continue to use the -yyyymmdd suffix format until the proper release. I'd probably go with 2).
Comment 5 Larry the Git Cow gentoo-dev 2018-01-06 03:01:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45a4244a596cc0120050227f36be2e03522ca809

commit 45a4244a596cc0120050227f36be2e03522ca809
Author:     reagentoo <reagentoo@gmail.com>
AuthorDate: 2018-01-04 14:06:31 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-06 02:58:17 +0000

    net-im/vacuum: Add 1.3.0.20180105-Alpha
    
    Bug: https://bugs.gentoo.org/642538
    Closes: https://github.com/gentoo/gentoo/pull/6746

 net-im/vacuum/Manifest                        |   1 +
 net-im/vacuum/vacuum-1.3.0_pre20180105.ebuild | 104 ++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)}
Comment 6 Andreas Sturmlechner gentoo-dev 2018-02-16 10:00:49 UTC
Do you think this snapshot is good enough for us to drop old qt4-based? Not much has happened upstream since then.
Comment 7 reagentoo 2018-02-16 10:09:46 UTC
I think you can drop old qt4-based.
The latest Qt5-alpha version is quite stable.
Comment 8 Larry the Git Cow gentoo-dev 2018-02-16 10:13:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aedf2864bcb9cd62f4622c020aee103fc1e0dab

commit 4aedf2864bcb9cd62f4622c020aee103fc1e0dab
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-16 10:12:54 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-16 10:13:32 +0000

    net-im/vacuum: Drop old, Qt4-based version 1.2.5
    
    Closes: https://bugs.gentoo.org/642538
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-im/vacuum/Manifest                             |  1 -
 .../vacuum-1.2.4-gcc6-not-string-literals.patch    | 51 --------------
 net-im/vacuum/vacuum-1.2.5.ebuild                  | 80 ----------------------
 3 files changed, 132 deletions(-)